image: rocker/tidyverse
stages:
  - build
  - deploy
  
building:
  stage: build
  script:
    - R -e "devtools::install_gitlab('dante-sttr/dantesubmit', dependencies=TRUE)"
    - R -e "devtools::install_gitlab('dante-sttr/untools')"
    - R -e "rmarkdown::render('unstocks17.Rmd')"

pages:
  stage: deploy
  script:
    - mkdir public
    - mv unstocks17.html public
  artifacts:
    paths:
      - public/unstocks17.html
  only:
    - master
    - gitlab-pages

    
